=== debian/changelog ===
dahdi-linux (1:2.10.2~dfsg-1ubuntu4) xenial; urgency=medium

  * Linux 4.4.218 FTBS fix (LP: #1878214)
    - d/p/kernel-compat-4.4.218.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 12 May 2020 15:55:16 +0200

dahdi-linux (1:2.10.2~dfsg-1ubuntu3) xenial; urgency=medium

  * Linux 4.15 compatibility (LP: #1779331)
    - d/p/kernel-compat-4.15_0001-xpp-move-command_timer-functions-to-xbus-core.patch
    - d/p/kernel-compat-4.15_0002-fix-building-with-4.15-init_timer-setup_timer.patch

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Fri, 29 Jun 2018 10:58:53 -0300

dahdi-linux (1:2.10.2~dfsg-1ubuntu2) xenial; urgency=medium

  * Linux 4.11 and 4.13 compatibility (LP: #1724866)
    - debian/patches/kernel-compat-4.11.patch
    - debian/patches/kernel-compat-4.13.patch

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Fri, 27 Oct 2017 09:44:47 -0200

dahdi-linux (1:2.10.2~dfsg-1ubuntu1) xenial; urgency=low

  * Merge from Debian testing. Remaining changes:
    - DKMS support:
      * debian/control:
        - dahdi-linux depends additionally on (dahdi-dkms | dahdi-source).
        - dahdi-dkms added
      * debian/dahdi-dkms.install.in
      * debian/dahdi-dkms.postinst
      * debian/dahdi-dkms.prerm
      * debian/dahdi-linux.install:
        - added debian/modules
        - added debian/system.conf
      * debian/dkms.conf.in
        - Dropping ap400, opvxd115, wcopenpci, and zaphfc from build as
          those got dropped from the Debian extra patch.
      * debian/modules
      * debian/rules:
        - Add code to generate dkms package
      * debian/system.conf
    - debian/dahdi-source.install (for lintian)
    - debian/lintian/dahdi-source
    - DEP-8 support (debian/tests/*)
    - d/p/oslec-echo-in-kernel.diff
      * Diable build of echo.ko in favour of the same module provided by
        the kernel.
  * Dropped patches:
    - d/p/kernel-compat-3.18.patch
    - d/p/kernel-compat-3.19.patch
    - d/p/kernel-4.2-dev-printk-void.patch
    - d/p/irqf-disabled-deprecated.patch
    - d/p/strncasecmp.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 17 Dec 2015 10:44:32 +0100

dahdi-linux (1:2.10.2~dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #776497)
    - dahdi_linux_extra patch: remove everything except OSLEC and opvxa1200
      (Closes: #794313).
    - Up-to-date opvxa1200 in extra patch (Closes: #780997)

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 12 Aug 2015 21:02:59 +0200

dahdi-linux (1:2.10.0.1~dfsg-1ubuntu4) wily; urgency=low

  * Improve dep-8 testing by supplying individual test case (which will
    also test-load the dummy module) (LP: #1497982)

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 21 Sep 2015 08:57:25 -0500

dahdi-linux (1:2.10.0.1~dfsg-1ubuntu3) wily; urgency=medium

  * kernel-4.2-dev-printk-void.patch
    dev_printk() has void return.
  * irqf-disabled-deprecated.patch
    IRQF_DISABLED has been removed as it has had no meaning since 2.6.13
  * strncasecmp.patch 
    Strict POSIX/ANSI compliance warrants the use of strncasecmp().

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 26 Aug 2015 09:25:43 -0600

dahdi-linux (1:2.10.0.1~dfsg-1ubuntu2) vivid; urgency=low

  * Fix DKMS build for kernel version 3.19.
    - Convert f_dentry usage to f_path.dentry.

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 19 Jan 2015 16:28:01 +0100

dahdi-linux (1:2.10.0.1~dfsg-1ubuntu1) vivid; urgency=low

  * Merge from Debian testing. Remaining changes:
    - DKMS support:
      - debian/control:
        - dahdi-linux depends additionally on (dahdi-dkms | dahdi-source).
        - dahdi-dkms added
      - debian/dahdi-dkms.install.in
      - debian/dahdi-dkms.postinst
      - debian/dahdi-dkms.prerm
      - debian/dahdi-linux.install:
        - added debian/modules
        - added debian/system.conf
      - debian/dkms.conf.in
      - debian/modules
      - debian/rules:
        - Add code to generate dkms package
      - debian/system.conf
    - debian/dahdi-source.install (for lintian)
    - debian/lintian/dahdi-source
  * Dropped changes (may raise minimum kernel required to v3.10):
    - debian/control: Really drop change to m-a a-i command as claimed in
      the changelog for 1:2.5.0.1+dfsg-1ubuntu1. Which variant is actually
      correct is unclear (dahdi or dahdi-source) but at least the one from
      Debian is agreeing with the form in the lintian file.
    - debian/patches/zaphfc_d_channel_fix.patch (fix in Debian)
    - debian/patches/missing_modules.h.diff (fix in Debian)
    - debian/patches/ndo_set_multicast_list.diff (fix in Debian)
    - debian/patches/kernel-v3-11-compat.patch (fixed upstream without compat)
    - debian/patches/kernel-v3-13-compat.patch (fixed upstream)
    - debian/patches/kernel-v3-15-compat.patch (fixed upstream without compat)
  * Avoid building the echo.ko module for the DKMS package. This module is
    part of the kernel since 2.6.28 (moved out of staging in 3.15) with the
    same version (0.3.0). Since then the dkms build would always avoid to
    copy the external version. So beside of causing warnings for the DKMS
    build the out-of-tree module was not being used for a very long time.
    The only reason this all kept working is that the API did not change.
  * debian/dkms.conf.in: Expose the target kernel version in a variable that
    is actually heeded by the make file. And also pass it in on every
    invokation of make.
  * debian/patches/kernel-compat-3.18.patch: Provide compat code for the
    deprecated smp_mb__after_clear_bit call.

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 04 Dec 2014 17:07:38 +0100

dahdi-linux (1:2.5.0.1+dfsg-1ubuntu4) vivid; urgency=low

  * Fix compile issues with 3.16 kernel

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 12 Nov 2014 14:20:02 +0100
