## dahdi-linux 2.11.1~dfsg

=== debian/changelog ===
dahdi-linux (1:2.11.1~dfsg-1ubuntu6.3) focal; urgency=medium

  * Non-maintainer upload.
  * Backported from Hirsute 1:2.11.1~dfsg-1ubuntu8 (LP: #1932161)
    - Fix FTBFS with Linux 5.10
    - Added Linux-5.9-ioctl-fix.patch 

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 24 Jun 2021 15:47:49 +0000

dahdi-linux (1:2.11.1~dfsg-1ubuntu6.2) focal; urgency=medium

  * No change rebuild in security pocket. LP: #1914279.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 29 Apr 2021 16:07:14 +0100

dahdi-linux (1:2.11.1~dfsg-1ubuntu6.1) focal; urgency=medium

  * Linux 5.8 compatibility (LP: #1899602)
    - debian/patches/Linux-5.7-timespec-timeval-fix.patch
    - debian/patches/Linux-5.6-ktime_get_ts-fix.patch
    - debian/patches/Linux-5.6-proc_create_data-fix.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 13 Oct 2020 09:15:32 +0000

dahdi-linux (1:2.11.1~dfsg-1ubuntu6) focal; urgency=medium

  * Linux 5.4 compatibility (LP: #1848584)
    - debian/patches/kernel-compat-5.4.patch

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 11 Nov 2019 12:43:16 +0000

dahdi-linux (1:2.11.1~dfsg-1ubuntu5) disco; urgency=medium

  * Linux 5.0 compatibility (LP: #1813058)
    - d/p/kernel-compat-5.0.patch

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Thu, 07 Feb 2019 10:15:57 -0200

dahdi-linux (1:2.11.1~dfsg-1ubuntu4) bionic; urgency=medium

  * Linux 4.15 compatibility (LP: #1737746)
    - d/p/kernel-compat-4.15_0001-xpp-move-command_timer-functions-to-xbus-core.patch
    - d/p/kernel-compat-4.15_0002-fix-building-with-4.15-init_timer-setup_timer.patch

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Wed, 03 Jan 2018 12:41:02 +0000

dahdi-linux (1:2.11.1~dfsg-1ubuntu3) artful; urgency=medium

  * Linux 4.13 compatibility (LP: #1706424)
    - debian/patches/kernel-compat-4.13.patch

 -- Seth Forshee <seth.forshee@canonical.com>  Wed, 09 Aug 2017 12:50:29 -0500

dahdi-linux (1:2.11.1~dfsg-1ubuntu2) artful; urgency=medium

  * debian/patches/kernel-compat-4.11.patch: Miscellaneous updates to fix
    build issues with 4.11 (LP: #1691828)

 -- Seth Forshee <seth.forshee@canonical.com>  Wed, 28 Jun 2017 15:55:50 -0500

dahdi-linux (1:2.11.1~dfsg-1ubuntu1) artful; urgency=low

  * Merge from Debian testing. Remaining changes:
    - DKMS support:
      - debian/control:
        - dahdi-linux depends additionally on (dahdi-dkms | dahdi-source).
        - dahdi-dkms added
      - debian/dahdi-dkms.install.in
      - debian/dahdi-dkms.postinst
      - debian/dahdi-dkms.prerm
      - debian/dkms.conf.in
      - debian/rules:
        - Add code to generate dkms package
    - d/p/oslec-echo-in-kernel.diff
      Disable build of echo.ko in favour of the same module provided by
      the kernel.
    - DEP-8 support (debian/tests/*)
    - Import modifications by Javier Uruen Val <javi@warp.es>:
      - debian/system.conf (pre-defined config shipped with dahdi-linux)
      - debian/modules-load.d/dahdi-linux.conf:
        - add dahdi_dummy
        - add dahdi_transcode
  * Dropped:
    - debian/dahdi-source.install (for lintian)
    - debian/lintian/dahdi-source
    - debian/modules (->debian/modules-load.d/dahdi-linux.conf)

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 12 Jun 2017 12:02:13 +0200

dahdi-linux (1:2.11.1~dfsg-1) unstable; urgency=medium

  [ Tzafrir Cohen ]
  * New upstream version
  * Load the module dahdi at boot (Closes: #823302)
  * README.Debian: purge old and update (Closes: #795458)
  * Set spantype for wctdm and wcfxo (Closes: #823952)
  * Use secure VCS URLs
  * Ignore debian/debhelper-build-stamp
  * Standards version 3.9.8 (no change needed)

  [ Chris Lamb ]
  * Reproducible build: sources tarball at build date (Closes: #776622)

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 21 Sep 2016 21:55:56 +0300
