=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -g
 endif
+
+# For DKMS. Use the full release (e.g.: 2.2.1+dfsg-1ubuntu1)
+CVERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d\: -f2)
 
 ## MODULE-ASSISTANT STUFF
 # prefix of the target package name
@@ -27,9 +30,6 @@
 DEB_BASE_VERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9~.a-z]*$$//')
 UPVERSION:=$(shell echo $(DEB_BASE_VERSION) | sed -e 's/[~+]dfsg[0-9]*\(~\|$$\)/\1/' -e 's/~\(rc\|beta\)/-\1/')
 
-# For DKMS. Use the full release (e.g.: 2.2.1+dfsg-1ubuntu1)
-CVERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d\: -f2)
-
 UPFILENAME := $(PACKAGE_SRC)_$(UPVERSION).orig.tar.gz
 FILENAME := $(PACKAGE_SRC)_$(DEB_BASE_VERSION).orig.tar.gz
 URL := http://downloads.asterisk.org/pub/telephony/$(PACKAGE_SRC)/releases/$(PACKAGE_SRC)-$(UPVERSION).tar.gz
@@ -39,6 +39,7 @@
 # around problems with bilding stuff with HOSTCC by simply providing 
 # the generated headers as part of the source:
 GENERATED_SOURCES := include/dahdi/version.h
+BUILD_DATE=$(shell dpkg-parsechangelog --show-field Date)
 
 %:
 	dh $@
@@ -78,9 +79,9 @@
 	exit 1
 endif
 	# For DKMS
-	sed -e "s|#CVERSION#|$(CVERSION)|"	\
+	sed -e "s|#CVERSION#|$(CVERSION)|"				 \
 		debian/dkms.conf.in > debian/dkms.conf
-	sed -e "s|#CVERSION#|$(CVERSION)|"	\
+	sed -e "s|#CVERSION#|$(CVERSION)|"				 \
 		debian/dahdi-dkms.install.in > debian/dahdi-dkms.install
 
 	$(MAKE) docs
@@ -117,7 +118,7 @@
 	  $(TARDIR)/debian/
 	
 	tar cjf debian/$(SKPG)/usr/src/$(PREFIX).tar.bz2 \
-	  -C $(TARPARDIR) modules
+	  -C $(TARPARDIR) modules --mtime="$(BUILD_DATE)"
 
 print-version:
 	@@echo "Debian version:          $(DEBVERSION)"
