=== debian/tests/control ===
Tests: dkms-modules
Depends: dahdi-dkms
Restrictions: needs-root, isolation-machine
