## dahdi-linux 2.11.1.0.20170917~dfsg

=== debian/changelog ===
dahdi-linux (1:2.11.1.0.20170917~dfsg-7.4) unstable; urgency=medium

  * Non-maintainer upload.
  * dahdi-dkms: Bump dkms dependency to (>= 2.8.4-3~) to reliably use the
    kernel's compiler to compile the module.  (Closes: #987309)
  * dahdi-dkms: Drop wget dependency. Downloading firmware is disabled.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 25 Apr 2021 01:31:54 +0200

dahdi-linux (1:2.11.1.0.20170917~dfsg-7.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Avoid 64-bit divisions in xpp driver, or switch to the kernels
    do_div helper for this purpose. Uncovered by new autopkgtest.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 04 Apr 2021 20:42:52 +0000

dahdi-linux (1:2.11.1.0.20170917~dfsg-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add autopkgtest covering just the module build, which can be done
    on Debian CI. Should be enough to tell us if the modules are broken
    by newer kernel versions.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 04 Apr 2021 12:57:27 +0000

dahdi-linux (1:2.11.1.0.20170917~dfsg-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing Build-Depends: module-assistant to allow building source in
    clean environments.
  * Update no_firmware_download patch. (Closes: #982389)
  * Include upstream and new local patches to fix build with kernel >= 5.0
    (Closes: #982332, #982334)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 02 Apr 2021 20:42:26 +0000

dahdi-linux (1:2.11.1.0.20170917~dfsg-7) unstable; urgency=medium

  * dkms: use standard scripts (Closes: #923983).
  * work around #923983 at upgrade time.
  * Use dh_dkms instead of dh --with dkms, for the m-a -generated package.
  * Standard version 4.3.0.
  * More comprehensive and robust autopkgtest tests.
    - The dkms-modules test is skippable for now.
  * debian/dahdi-dkms.install is a generated file.
  * dkms metainfo: same license as source.

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 10 Mar 2019 15:49:50 +0200

dahdi-linux (1:2.11.1.0.20170917~dfsg-6) unstable; urgency=medium

  * install dahdi-modules
  * A new test: dynamic-loc-call
  * dkms: also install oct612 module (Closes: #922008)
  * dkms test: try loading all modules
  * Rules-Require-Root: no
  * rules: remove get-orig-source
  * trivial lintian fixes
  * debhelper compat level 12
  * rules: Use dpkg makefiles instead of our own parsing
  * tests: uninstall modules

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 04 Mar 2019 23:29:36 +0200

dahdi-linux (1:2.11.1.0.20170917~dfsg-5) unstable; urgency=medium

  * Added dpkg-dev as dependency for dpkg-architecture used by the
    dahdi-dkms postinst.
  * Added appstream metadata in dahdi-dkms package to announce
    supported hardware (Closes: #838522).
  * Updated Standards-Version from 4.1.3 to 4.2.1.
  * Fix two description typos in patches found by lintian.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 12 Oct 2018 13:35:56 +0200

dahdi-linux (1:2.11.1.0.20170917~dfsg-4) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * Make build reproducible
  * Amend changelog

  [ Petter Reinholdtsen ]
  * Add support for dkms include autopkgtest test. (Closes: #841004)

  [ Tzafrir Cohen ]
  * dahdi_dummy is just part of dahdi
  * Somewhat improved dkms scripts
  * Fix building on kernel >= 4.15
  * patch notest: rework and make upstreamable
  * ignore dkms generated files

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 Sep 2018 13:42:35 +0200

dahdi-linux (1:2.11.1.0.20170917~dfsg-3) unstable; urgency=medium

  * Add dev_attr.patch: fix building with 4.13 (Closes: #879043)
  * Refresh dahdi_linux_extra:
    - Rebased on recent master
    - also fix opvxa1200 with 4.11
    - Tweaks of ZapHFC
  * tar --sort=name for reproducible build for the dahdi-source tarball
  * modulestest: fix usage with debuild
  * Add gbp.conf: use pristine-tar
  * copyright: https standard URL
  * Switch to Salsa.
  * Standards version 4.1.3
  * An example dynamic DAHDI systemd service

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 10 Jan 2018 23:40:10 +0200

dahdi-linux (1:2.11.1.0.20170917~dfsg-1) unstable; urgency=medium

  [ Tzafrir Cohen ]
  * New upstream git snapshot (Closes: #872838)
    - debian/patches/wcfxo-wctdm-set-spantype.patch dropped: merged upstream
  * compat level 10

  [ Bernhard Schmidt ]
  * Reproducible build: set permissions and sort source tarball

 -- Bernhard Schmidt <berni@debian.org>  Fri, 06 Oct 2017 18:37:23 +0200
