=== debian/tests/control ===
Tests: modules-build
Depends: dahdi-linux,
         dahdi-source,
         linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers,
         module-assistant
Restrictions: needs-root, needs-recommends

Tests: dkms-modules
Depends: dahdi-dkms, dahdi-linux, dkms
# needs-recommends: dkms recommends kernel headers.
# The alternative would be to try and install them, and ten build and
# install the dkms module in the script. But this is not a proper test
# of how dkms should work.
# And even then, the linux-headers get configured after dahdi-dkms, and
# fail the test (and hense: skippable).
Restrictions: needs-root, isolation-machine, needs-recommends, skippable

Tests: dynamic-loc-call
Depends: asterisk, asterisk-dahdi, dahdi, dahdi-source, module-assistant
Restrictions: needs-root, isolation-machine
