=== debian/changelog ===
dahdi-linux (1:2.11.1.0.20210708~dfsg-7) unstable; urgency=medium

  * update

 -- Ubuntu Developers <ubuntu-devel-discuss@listsubuntu.com>  Fri, 09 Jul 2021 09:19:56 +0800

dahdi-linux (1:2.11.1~dfsg-1ubuntu8) unstable; urgency=medium

  * Fix FTBFS with Linux 5.10

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 05 Jan 2021 16:38:53 +0000

dahdi-linux (1:2.11.1~dfsg-1ubuntu7) groovy; urgency=medium

  * Linux 5.6 compatibility
    - debian/patches/Linux-5.6-ktime_get_ts-fix.patch
    - debian/patches/Linux-5.6-proc_create_data-fix.patch
  * Linux 5.7 compatibility
    - debian/patches/Linux-5.7-timespec-timeval-fix.patch

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 12 May 2020 10:35:34 +0000
