## dahdi-linux 3.1.0%2Bgit20230717~dfsg

=== debian/control ===
Source: dahdi-linux
Section: comm
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Tzafrir Cohen <tzafrir@debian.org>
Build-Depends: debhelper-compat (= 12), bzip2, asciidoc-base | asciidoc,
 dh-dkms,
 module-assistant,
 tar (>= 1.28)
Standards-Version: 4.3.0
Homepage: https://www.asterisk.org/
Vcs-Git: https://salsa.debian.org/pkg-voip-team/dahdi-linux.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/dahdi-linux
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-dkms

Package: dahdi-linux
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, procps, fxload, dahdi-dkms | dahdi-source
Description: DAHDI telephony interface - Linux userspace parts
 DAHDI (formerly Zaptel) is an interface for telephony devices used by e.g.
 the Asterisk PBX software. The dahdi-* packages provide the kernel
 DAHDI kernel modules and their required setup environment.
 .
 This package includes the minimal Linux-specific userspace parts: udev
 configuration, xpp initialization scripts.

Package: dahdi-source
Multi-Arch: foreign
Section: kernel
Architecture: all
Depends: ${misc:Depends}, debhelper (>> 4.0), module-assistant (>= 0.8.1), bzip2
Recommends: dahdi-linux
Description: DAHDI telephony interface - source code for kernel driver
 DAHDI (formerly Zaptel) is an interface for telephony devices used by e.g.
 the Asterisk PBX software. The dahdi-* packages provide the kernel
 DAHDI kernel modules and their required setup environment, as well as
 basic headers for building DAHDI modules and utilities.
 .
 It is normally used to build kernel modules package: m-a a-i dahdi

Package: dahdi-dkms
Section: kernel
Architecture: all
Depends: ${misc:Depends}, dkms (>= 2.8.4-3~), make, libc6-dev, dpkg-dev, gcc, gawk
Recommends: dahdi-linux
Description: DAHDI telephony interface (dkms kernel driver)
 DAHDI (formerly Zaptel) is an interface for telephony devices used by e.g.
 the Asterisk PBX software. The dahdi-* packages provide the kernel
 DAHDI kernel modules and their required setup environment.
 .
 The dkms package will automatically compile the driver for your current
 kernel version.
